Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::v3::view::counted_fn Struct Reference

## Synopsis of methods
constexpr counted_fn | counted {}

## Public Member Functions
template<typename I , requires = (Iterator<I>())>
counted_view< I > | operator() (I it, difference_type_t< I > n) const
template<typename T >
iterator_range< T * > | operator() (T *t, std::ptrdiff_t n) const